Subject: bug#44772: 2 test failures in automake 1.16.3

From: Karl Berry <[email-masked]>
Date: Fri, 27 Nov 2020 19:20:53 -0700

FAIL: t/vala-headers.sh
    ...
    FAIL: t/vala-mix2.sh

I pushed Reuben's change (as below). Hope it helps. I guess I'll
optimistically close this bug, knowing you will reopen if it's not
solved :) ... Thanks to both of you. --karl

--- a/bin/automake.in
+++ b/bin/automake.in
@@ -5734,7 +5734,7 @@ sub lang_vala_finish_target
           my $built_dir = dirname $built_c_file;
           my $base_c_file = basename $c_file;
           $output_rules .= "$built_c_file: \$(builddir)/${derived}_vala.stamp\n"
-            . "\t\@if test ! -f \$@ && test \$(srcdir) != \$(builddir) && test -n \"\$\$(find -L \$(srcdir)/$c_file -prune -newer \$(srcdir)/$vala_file)\"; then cp -p \$(srcdir)/$c_file $built_c_file; fi\n"
+            . "\t\@if test ! -f \$@ && test \$(srcdir) != \$(builddir) && test -n \"\$\$(find -L \$(srcdir)/$vala_file -prune \! -newer \$(srcdir)/$c_file)\"; then cp -p \$(srcdir)/$c_file $built_c_file; fi\n"
             . "\t\@if test -f \$@; then :; else rm -f \$(builddir)/${derived}_vala.stamp; fi\n"
             . "\t\@if test -f \$@; then :; else \\\n"
             . "\t  \$(MAKE) \$(AM_MAKEFLAGS) \$(builddir)/${derived}_vala.stamp; \\\n"